aboutsummaryrefslogtreecommitdiff
path: root/release/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'release/scripts')
-rwxr-xr-xrelease/scripts/base-install.sh16
-rwxr-xr-xrelease/scripts/catpages-install.sh11
-rwxr-xr-xrelease/scripts/catpages-make.sh12
-rw-r--r--release/scripts/checkindex.pl192
-rwxr-xr-xrelease/scripts/chkINDEX20
-rwxr-xr-xrelease/scripts/commerce-install.sh12
-rwxr-xr-xrelease/scripts/dict-install.sh11
-rwxr-xr-xrelease/scripts/dict-make.sh18
-rw-r--r--release/scripts/doFS.sh122
-rwxr-xr-xrelease/scripts/doc-install.sh15
-rwxr-xr-xrelease/scripts/doc-make.sh11
-rwxr-xr-xrelease/scripts/games-install.sh11
-rwxr-xr-xrelease/scripts/info-install.sh11
-rwxr-xr-xrelease/scripts/info-make.sh11
-rw-r--r--release/scripts/info.sh12
-rw-r--r--release/scripts/kernels-install.sh43
-rw-r--r--release/scripts/lib32-install.sh11
-rwxr-xr-xrelease/scripts/manpages-install.sh11
-rwxr-xr-xrelease/scripts/manpages-make.sh12
-rwxr-xr-xrelease/scripts/mkpkghier33
-rw-r--r--release/scripts/mkpkgindex.sh57
-rw-r--r--release/scripts/package-split.py187
-rw-r--r--release/scripts/package-trees.sh58
-rwxr-xr-xrelease/scripts/ports-install.sh12
-rwxr-xr-xrelease/scripts/proflibs-install.sh11
-rwxr-xr-xrelease/scripts/proflibs-make.sh9
-rwxr-xr-xrelease/scripts/split-file.sh39
-rwxr-xr-xrelease/scripts/src-install.sh34
-rw-r--r--release/scripts/tar.sh119
-rwxr-xr-xrelease/scripts/xperimnt-install.sh12
30 files changed, 0 insertions, 1133 deletions
diff --git a/release/scripts/base-install.sh b/release/scripts/base-install.sh
deleted file mode 100755
index c87a38bf86a9..000000000000
--- a/release/scripts/base-install.sh
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-
-echo "You are about to extract the base distribution into ${DESTDIR:-/} - are you SURE"
-echo -n "you want to do this over your installed system (y/n)? "
-read ans
-if [ "$ans" = "y" ]; then
- cat base.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-fi
diff --git a/release/scripts/catpages-install.sh b/release/scripts/catpages-install.sh
deleted file mode 100755
index 2e618ca76eeb..000000000000
--- a/release/scripts/catpages-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat catpages.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/catpages-make.sh b/release/scripts/catpages-make.sh
deleted file mode 100755
index 755057d40ccb..000000000000
--- a/release/scripts/catpages-make.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Move all the catpages out to their own dist, using the base dist as a
-# starting point. This must precede the manpages dist script.
-if [ -d ${RD}/trees/base/usr/share/man ]; then
- ( cd ${RD}/trees/base/usr/share/man;
- find cat* whatis | cpio -dumpl ${RD}/trees/catpages/usr/share/man > /dev/null 2>&1) &&
- rm -rf ${RD}/trees/base/usr/share/man/cat*;
-fi
diff --git a/release/scripts/checkindex.pl b/release/scripts/checkindex.pl
deleted file mode 100644
index 44612dcbee5c..000000000000
--- a/release/scripts/checkindex.pl
+++ /dev/null
@@ -1,192 +0,0 @@
-#!/usr/bin/perl
-# -----------------------------------------------------------------
-# FreeBSD Release Checking Utility - Package Index Check
-#
-# This program checks the packages/INDEX file to verify that
-# the index is in the correct format and that every package
-# needed by a release is included on the CD.
-#
-# Copyright(c) 2000 BSDi
-# Murray Stokely
-# -----------------------------------------------------------------
-# 08 Apr 2000
-#
-# $FreeBSD$
-#
-
-use Getopt::Long;
-
-#
-# Display the usage instructions
-#
-
-sub printHelp {
- print<<end;
-usage : checkindex -s <sysinstall src dir> <INDEX>
-
- This program checks the packages INDEX file to verify that the
-index is correct and that every package needed by sysinstall is
-included in the index.
-
- Options
-
- -help Display usage instructions
- -s <src dir> Specify the sysinstall source directory. Use
- this so to make sure every package referenced
- in the code is in your INDEX
- -newindex Generate a new index consisting of only those
- packages that actually exist in pkgdir/All
- -depends <pkg> Lists all packages in the index that depend
- on <pkg>.
-
-end
-}
-
-##
-## Attempts to find the value of a variable in C code by backtracking
-## up the source looking for a previous declaration.
-##
-## This is a bit overkill for the purpose of this script,
-## stick with grepping for likely packages for now.
-
-sub findAssignment($$) {
- ## This code deals with the small (5%) number of matches
- ## in which package_add refers to a variable rather than
- ## a inline string, so we have to find the value of that
- ## variable so that we can push it onto the list
-# my($fileName,$code) = split(/:/,$match);
-# open(FILE,$fileName) || die "Could not open $fileName : $!\n";
-# my(@lines) = <FILE>;
-# my($cnt) = 1;
-# my($lineMatch) = 0;
-# chomp(@lines);
-# foreach $line (@lines) {
-# $lineMatch = $cnt if ($line eq $code);
-# $cnt++;
-# }
-# $code =~ /package_add\((\S+)\)/;
-# my($varName) = $1;
-# print STDERR "$lineMatch of $fileName is wierd\n";
-# print STDERR "Trying to find '$varName'\n";
-# while ($cnt > 0) {
-# $cnt--;
-# }
-
-
-}
-
-##
-## Returns a list of all the packages referenced in the sysinstall source
-## code
-##
-
-sub getPackages($) {
- my($srcDir) = $_[0];
- my(@matches) = `grep package_add $opt_s/*.c`;
- my(@packages);
- foreach $match (@matches) {
- chomp $match;
- next if ($match =~ m|$opt_s/package.c|);
- if ($match =~ /package_add\(\"(\S+)\"\)/) {
- push(@packages,$1);
- } elsif ($match =~ /package_add\(char/) {
- # function definition or prototype
- next;
- } else {
- # package_add(variable or DEFINE)
- my(@varMatches) = `grep variable_set2 $opt_s/*.c`;
- chomp @varMatches;
- foreach $varMatch (@varMatches) {
- if ($varMatch =~ /variable_set2\(\S+_PACKAGE,\s+\"(\S+)\"/) {
- push(@packages,$1);
- }
- }
- }
- }
- @packages;
-}
-
-
-&GetOptions("help","s=s","newindex","depends=s");
-if ($opt_help) {
- &printHelp;
-} else{
- my ($indexName) = $ARGV[0];
- my ($mistakes) = 0;
- my ($counter) = 0;
- print STDERR "Packages Referenced :\n---------------------\n";
- open(INDEX,$indexName) || die "Could not open $indexName : $!";
- @index = <INDEX>;
- close(INDEX);
-
- ## Check to ensure that every file in the index exists physically.
- print STDERR "Check to ensure that every file in the index exists physically\n";
- foreach $line (@index) {
- chomp $line;
- ($file,$pathto,$prefix,$comment,$descr,$maint,$cats,$junk,$rdeps,$junk) = split(/\|/,$line,10);
- $DEPENDS{$file} = $rdeps if (-e "All/$file.tgz");
- }
-
- if ($opt_newindex) {
- foreach $pkg (keys %DEPENDS) {
- $new = quotemeta $pkg;
- @lines = grep(/^$new\|/,@index);
- chomp $lines;
- ($#lines == 0) || die "Multiple lines for '$pkg' in index!";
- printf "%s\n",$lines[0];
- }
- } elsif ($opt_depends) {
- foreach $key (keys %DEPENDS) {
- foreach $dependency (split ' ',$DEPENDS{$key}) {
- if ($opt_depends eq $dependency) {
- print "$opt_depends is needed by $key\n";
- $counter++;
- }
- }
- }
- print "$opt_depends is not needed by any packages in the index!\n"
- unless ($counter);
- } else {
-
- ## Check to ensure that all the dependencies are there.
- print "Check to make sure that every dependency of every file exists\n",
- "in the Index and physically.\n";
- foreach $file (keys %DEPENDS) {
-# print "Checking $file\n";
- foreach $depend (split(' ',$DEPENDS{$file})) {
- unless (-e "All/$depend.tgz") {
- # instead of a hash counter, make it a hash of arrays
- # where the arrays are the files depended on.
- push @{ $MISSING{$depend} }, $file;
- $mistakes++;
- }
- }
- }
-
- ## This makes sure that the index file contains everything
- ## that sysinstall uses.
- if ($opt_s) {
- @packages = getPackages($opt_s);
- foreach $pkg (@packages) {
- unless (grep(/^$pkg/,@index)) {
- push @{ $MISSING{$pkg} }, "sysinstall";
- $mistakes++;
- }
- }
- }
-
-
- ## If there were mistakes, print out the missing packages.
- if ($mistakes) {
- print "--------------------------------------------------------\n",
- " Packages Missing : \n",
- "--------------------------------------------------------\n";
- foreach $pkg (keys %MISSING) {
- @files = @{ $MISSING{$pkg} };
- print "$pkg (@files)\n";
- }
- } else {
- print "Everything looks good!\n";
- }
-}
-}
diff --git a/release/scripts/chkINDEX b/release/scripts/chkINDEX
deleted file mode 100755
index d2b9e0eed8b7..000000000000
--- a/release/scripts/chkINDEX
+++ /dev/null
@@ -1,20 +0,0 @@
-#! /bin/sh
-#
-# $FreeBSD$
-
-usage()
-{
- echo "$*" >&2
- echo "This script must be run from the top level package directory" >&2
- exit 1
-}
-
-[ $# -ge 1 ] && usage "usage: chkINDEX"
-[ -f INDEX ] || usage "INDEX file not found"
-
-echo Checking for missing files
-sed 's,^\([^|]*\)|.*,All/\1.tbz,' INDEX | xargs ls -l >/dev/null
-
-echo Checking for missing dependents
-awk -F'|' '{print $9}' INDEX | sed 's/ /\
-/g' | sort -u | sed -e /^$/d -e 's/\(.*\)/All\/\1.tbz/' | xargs ls -l >/dev/null
diff --git a/release/scripts/commerce-install.sh b/release/scripts/commerce-install.sh
deleted file mode 100755
index 9bf67a338b44..000000000000
--- a/release/scripts/commerce-install.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-echo "Extracting commerce tarball into ${DESTDIR}/usr/local"
-tar --unlink -xpzf commerce.tgz -C ${DESTDIR}/usr/local
-exit 0
diff --git a/release/scripts/dict-install.sh b/release/scripts/dict-install.sh
deleted file mode 100755
index 4f57aaa11ec9..000000000000
--- a/release/scripts/dict-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat dict.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/dict-make.sh b/release/scripts/dict-make.sh
deleted file mode 100755
index c0ca6a5880ed..000000000000
--- a/release/scripts/dict-make.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Move the dict stuff out to its own dist
-if [ -d ${RD}/trees/base/usr/share/dict ]; then
- tar -cf - -C ${RD}/trees/base/usr/share/dict . |
- tar -xpf - -C ${RD}/trees/dict/usr/share/dict &&
- rm -rf ${RD}/trees/base/usr/share/dict;
-fi
-
-for i in birthtoken flowers; do
- if [ -f ${RD}/trees/base/usr/share/misc/$i ]; then
- mv ${RD}/trees/base/usr/share/misc/$i \
- ${RD}/trees/dict/usr/share/misc;
- fi;
-done
diff --git a/release/scripts/doFS.sh b/release/scripts/doFS.sh
deleted file mode 100644
index ec64c95ead45..000000000000
--- a/release/scripts/doFS.sh
+++ /dev/null
@@ -1,122 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-set -ex
-
-export BLOCKSIZE=512
-
-DISKLABEL=$1; shift
-MACHINE=${1:+"-m $1"}; shift
-FSIMG=$1; shift
-RD=$1 ; shift
-MNT=$1 ; shift
-FSSIZE=$1 ; shift
-FSPROTO=$1 ; shift
-FSINODE=$1 ; shift
-FSLABEL=$1 ; shift
-
-#
-# If we've been told to, compute the required file system size
-# and average inode size automatically.
-#
-if [ ${FSSIZE} -eq 0 -a ${FSLABEL} = "auto" ]; then
- roundup() echo $((($1+$2-1)-($1+$2-1)%$2))
- nf=$(find ${FSPROTO} |wc -l)
- sk=$(du -sk ${FSPROTO} |cut -f1)
- FSINODE=$(roundup $(($sk*1024/$nf)) ${FSINODE})
- FSSIZE=$(roundup $(($sk*12/10)) 1024)
-fi
-
-dofs_vn () {
- if [ "x$VNDEVICE" = "x" ] ; then
- VNDEVICE=vn0
- fi
- u=`expr $VNDEVICE : 'vn\([0-9]*\)' || true`
- VNDEVICE=vnn$u
-
- rm -f /dev/*vnn*
- mknod /dev/rvnn${u} c 43 `expr 65538 + $u '*' 8`
- mknod /dev/rvnn${u}c c 43 `expr 2 + $u '*' 8`
- mknod /dev/vnn${u} b 15 `expr 65538 + $u '*' 8`
- mknod /dev/vnn${u}c b 15 `expr 2 + $u '*' 8`
-
- umount /dev/${VNDEVICE} 2>/dev/null || true
- umount ${MNT} 2>/dev/null || true
- vnconfig -u /dev/r${VNDEVICE} 2>/dev/null || true
-
- vnconfig -s labels -c /dev/r${VNDEVICE} ${FSIMG}
-
- trap "umount ${MNT}; vnconfig -u /dev/r${VNDEVICE}; rm -f /dev/*vnn*" EXIT
-
- disklabel -w ${BOOT} ${VNDEVICE} ${FSLABEL}
- newfs -i ${FSINODE} -o space -m 0 /dev/r${VNDEVICE}c
-
- mount /dev/${VNDEVICE}c ${MNT}
-}
-
-dofs_md () {
- if [ "x${MDDEVICE}" != "x" ] ; then
- umount /dev/${MDDEVICE} 2>/dev/null || true
- umount ${MNT} 2>/dev/null || true
- mdconfig -d -u ${MDDEVICE} 2>/dev/null || true
- fi
-
- MDDEVICE=`mdconfig -a -t vnode -f ${FSIMG}`
- if [ ! -c /dev/${MDDEVICE} ] ; then
- echo "No /dev/$MDDEVICE" 1>&2
- exit 1
- fi
-
- trap "umount ${MNT}; mdconfig -d -u ${MDDEVICE}" EXIT
-
- if [ "x${DISKLABEL}" != "x" ] ; then
- ${DISKLABEL} ${MACHINE} -w ${BOOT} ${MDDEVICE} ${FSLABEL}
- fi
- newfs -O1 -b 4096 -f 512 -i ${FSINODE} -o space -m 0 /dev/${MDDEVICE}
- mount /dev/${MDDEVICE} ${MNT}
-}
-
-rm -f ${FSIMG}
-dd of=${FSIMG} if=/dev/zero count=${FSSIZE} bs=1k 2>/dev/null
-
-#
-# We don't have any bootblocks on ia64. Note that -B implies -r,
-# so we have to specifically specify -r when we don't have -B.
-# bsdlabel fails otherwise.
-#
-case `uname -r` in
-4.*)
- if [ -f "${RD}/trees/base/boot/boot1" ]; then
- BOOT="-B -b ${RD}/trees/base/boot/boot1"
- if [ -f "${RD}/trees/base/boot/boot2" ]; then
- BOOT="${BOOT} -s ${RD}/trees/base/boot/boot2"
- fi
- else
- BOOT="-r"
- fi
- dofs_vn
- ;;
-*)
- if [ -f "${RD}/trees/base/boot/boot" ]; then
- BOOT="-B -b ${RD}/trees/base/boot/boot"
- else
- BOOT="-r"
- fi
- dofs_md
- ;;
-esac
-
-if [ -d ${FSPROTO} ]; then
- (set -e && cd ${FSPROTO} && find . -print | cpio -dump ${MNT})
-else
- cp -p ${FSPROTO} ${MNT}
-fi
-
-df -ki ${MNT}
-
-set `df -ki ${MNT} | tail -1`
-
-echo "*** File system is ${FSSIZE} K, $4 left"
-echo "*** ${FSINODE} bytes/inode, $7 left"
diff --git a/release/scripts/doc-install.sh b/release/scripts/doc-install.sh
deleted file mode 100755
index 5609720ada37..000000000000
--- a/release/scripts/doc-install.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-echo "You are about to extract the doc distribution into ${DESTDIR:-/} - are you SURE"
-echo -n "you want to do this over your installed system (y/n)? "
-read ans
-if [ "$ans" = "y" ]; then
- cat doc.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-fi
diff --git a/release/scripts/doc-make.sh b/release/scripts/doc-make.sh
deleted file mode 100755
index 033554007abe..000000000000
--- a/release/scripts/doc-make.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Create the doc dist.
-if [ -d ${RD}/trees/base/usr/share/doc ]; then
- ( cd ${RD}/trees/base/usr/share/doc;
- find . | cpio -dumpl ${RD}/trees/doc/usr/share/doc ) &&
- rm -rf ${RD}/trees/base/usr/share/doc
-fi
diff --git a/release/scripts/games-install.sh b/release/scripts/games-install.sh
deleted file mode 100755
index 6c940776b55e..000000000000
--- a/release/scripts/games-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat games.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/info-install.sh b/release/scripts/info-install.sh
deleted file mode 100755
index 30c12bf23850..000000000000
--- a/release/scripts/info-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat info.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/info-make.sh b/release/scripts/info-make.sh
deleted file mode 100755
index 12fd29d93873..000000000000
--- a/release/scripts/info-make.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Move the info files out to their own dist
-if [ -d ${RD}/trees/base/usr/share/info ]; then
- tar -cf - -C ${RD}/trees/base/usr/share/info . |
- tar -xpf - -C ${RD}/trees/info/usr/share/info &&
- rm -rf ${RD}/trees/base/usr/share/info;
-fi
diff --git a/release/scripts/info.sh b/release/scripts/info.sh
deleted file mode 100644
index e25ceb73dbe9..000000000000
--- a/release/scripts/info.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# $ANA: info.sh,v 1.3 1996/06/04 16:25:30 wollman Exp $
-# $FreeBSD$
-#
-
-ls $1.[a-z][a-z] | wc | awk '{ print "Pieces = ",$1 }'
-for FILE in $1.[a-z][a-z]; do
- PIECE=`echo $FILE | cut -d . -f 2`
- echo -n "cksum.$PIECE = "
- cksum $FILE | awk ' { print $1,$2 } '
-done
diff --git a/release/scripts/kernels-install.sh b/release/scripts/kernels-install.sh
deleted file mode 100644
index 0bf9619b9587..000000000000
--- a/release/scripts/kernels-install.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-if [ $# -lt 1 ]; then
- echo "You must specify which kernel to extract."
- exit 1
-fi
-
-CONFIG=$1
-BOOT=${DESTDIR}/boot
-KERNEL=$BOOT/$CONFIG
-
-if [ -d $KERNEL ]; then
- echo "You are about to extract the $CONFIG kernel distribution into $KERNEL - are you SURE"
- echo -n "you want to do this over your installed system (y/n)? "
- read ans
-else
- # new installation; do not prompt
- ans=y
-fi
-if [ "$ans" = "y" ]; then
- if [ -d $KERNEL ]; then
- sav=$KERNEL.sav
- if [ -d $sav ]; then
- # XXX remove stuff w/o a prompt
- echo "Removing existing $sav"
- rm -rf $sav
- fi
- echo "Saving existing $KERNEL as $sav"
- mv $KERNEL $sav
- fi
- # translate per Makefile:doTARBALL XXX are we sure to have tr?
- tn=`echo ${CONFIG} | tr 'A-Z' 'a-z'`
- cat $tn.?? | tar --unlink -xpzf - -C $BOOT
-else
- echo "Installation of $CONFIG kernel distribution not done."
-fi
diff --git a/release/scripts/lib32-install.sh b/release/scripts/lib32-install.sh
deleted file mode 100644
index c6f732d0138b..000000000000
--- a/release/scripts/lib32-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat lib32.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/manpages-install.sh b/release/scripts/manpages-install.sh
deleted file mode 100755
index 35eb4b7a17ca..000000000000
--- a/release/scripts/manpages-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat manpages.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/manpages-make.sh b/release/scripts/manpages-make.sh
deleted file mode 100755
index bb1326f3d506..000000000000
--- a/release/scripts/manpages-make.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Move all the manpages out to their own dist, using the base dist as a
-# starting point.
-if [ -d ${RD}/trees/base/usr/share/man ]; then
- ( cd ${RD}/trees/base/usr/share/man;
- find . | cpio -dumpl ${RD}/trees/manpages/usr/share/man > /dev/null 2>&1) &&
- rm -rf ${RD}/trees/base/usr/share/man;
-fi
diff --git a/release/scripts/mkpkghier b/release/scripts/mkpkghier
deleted file mode 100755
index c14b62868018..000000000000
--- a/release/scripts/mkpkghier
+++ /dev/null
@@ -1,33 +0,0 @@
-#! /bin/sh
-#
-# $FreeBSD$
-
-usage()
-{
- echo "$*" >&2
- echo "This script must be run from the top level package directory" >&2
- exit 1
-}
-
-[ $# -ge 1 ] && usage "usage: mkpkghier"
-[ -f INDEX ] || usage "INDEX file not found"
-[ -d All ] || usage "All directory not found"
-
-old=$(ls | egrep -v "^INDEX$|^All$|^Latest$")
-
-[ -n "$old" ] && { echo Removing old hierarchy; rm -fr $old; }
-
-echo Creating new hierarchy
-awk -F'|' '{ print $1 " " $7; }' INDEX | while read pkg dirs
-do
- [ -f All/$pkg.tbz ] || {
- echo "All/$pkg.tbz: Non-existent" >&2
- continue
- }
- for dir in $dirs
- do
- mkdir -p $dir
- [ -e $dir/$pkg.tbz ] && continue
- ln -s ../All/$pkg.tbz $dir/$pkg.tbz
- done
-done
diff --git a/release/scripts/mkpkgindex.sh b/release/scripts/mkpkgindex.sh
deleted file mode 100644
index b70a258257df..000000000000
--- a/release/scripts/mkpkgindex.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#! /bin/sh
-# ex:ts=8
-
-# Copyright (c) 2003 David E. O'Brien
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-# notice, this list of conditions and the following disclaimer in the
-# documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
-#
-# $FreeBSD$
-
-# Creates an INDEX file suitable for an ISO distribution image from a master
-# INDEX file. The generated INDEX file contains only the packages in the
-# supplied directory.
-
-case $# in
- 3) PKG_EXT="tbz" ;;
- 4) PKG_EXT=$4 ;;
- *)
- echo `basename $0` "<master index file> <output index file> <pkg dir> [pkg ext]"
- exit 1
- ;;
-esac
-
-PKG_LIST=$(basename `ls $3/*.${PKG_EXT}` | sed -e "s/\.${PKG_EXT}$//")
-REGEX=$(echo ${PKG_LIST} | sed \
- -e 's/ /|/g' \
- -e 's/\./\\\./g' \
- -e 's/\+/\\\+/g' \
- -e 's/\^/\\\^/g')
-
-egrep "^(${REGEX})" $1 > $2
-
-if [ $(echo ${PKG_LIST} | wc -w) != $(wc -l < $2) ]; then
- echo "ERROR: some packages not found in $1"
- exit 1
-else
- exit 0
-fi
diff --git a/release/scripts/package-split.py b/release/scripts/package-split.py
deleted file mode 100644
index 727262b05386..000000000000
--- a/release/scripts/package-split.py
+++ /dev/null
@@ -1,187 +0,0 @@
-#!/usr/local/bin/python
-#
-# This script generates a master INDEX file for the CD images built by the
-# FreeBSD release engineers. Each disc is given a list of desired packages.
-# Dependencies of these packages are placed on either the same disc or an
-# earlier disc. The resulting master INDEX file is then written out.
-#
-# Usage: package-split.py <INDEX> <master INDEX>
-#
-# $FreeBSD$
-
-import os
-import sys
-
-try:
- arch = os.environ["PKG_ARCH"]
-except:
- arch = os.uname()[4]
-print "Using arch %s" % (arch)
-
-if 'PKG_VERBOSE' in os.environ:
- verbose = 1
-else:
- verbose = 0
-
-if 'PKG_DVD' in os.environ:
- doing_dvd = 1
-else:
- doing_dvd = 0
-
-# List of packages for disc1.
-def disc1_packages():
- pkgs = ['misc/freebsd-doc-bn',
- 'misc/freebsd-doc-da',
- 'misc/freebsd-doc-de',
- 'misc/freebsd-doc-el',
- 'misc/freebsd-doc-en',
- 'misc/freebsd-doc-es',
- 'misc/freebsd-doc-fr',
- 'misc/freebsd-doc-hu',
- 'misc/freebsd-doc-it',
- 'misc/freebsd-doc-ja',
- 'misc/freebsd-doc-mn',
- 'misc/freebsd-doc-nl',
- 'misc/freebsd-doc-pl',
- 'misc/freebsd-doc-pt',
- 'misc/freebsd-doc-ru',
- 'misc/freebsd-doc-sr',
- 'misc/freebsd-doc-tr',
- 'misc/freebsd-doc-zh_cn',
- 'misc/freebsd-doc-zh_tw']
-
- if doing_dvd:
- pkgs.extend(['archivers/unzip',
- 'astro/xearth',
- 'devel/gmake',
- 'devel/imake',
- 'editors/emacs',
- 'editors/vim-lite',
- 'emulators/linux_base-f10',
- 'emulators/mtools',
- 'graphics/png',
- 'graphics/xv',
- 'irc/xchat',
- 'lang/perl5.8',
- 'mail/alpine',
- 'mail/exim',
- 'mail/fetchmail',
- 'mail/mutt',
- 'mail/popd',
- 'mail/postfix',
- 'mail/xfmail',
- 'net/cvsup-without-gui',
- 'net/rsync',
- 'net/samba3',
- 'news/slrn',
- 'news/tin',
- 'ports-mgmt/p5-FreeBSD-Portindex',
- 'ports-mgmt/portaudit',
- 'ports-mgmt/portmaster',
- 'ports-mgmt/portupgrade',
- 'print/a2ps-letter',
- 'print/apsfilter',
- 'print/ghostscript7-nox11',
- 'print/psutils-letter',
- 'print/gv',
- 'shells/bash',
- 'shells/pdksh',
- 'shells/zsh',
- 'security/sudo',
- 'sysutils/screen',
- 'www/links',
- 'www/lynx',
- 'x11/gnome2',
- 'x11/kde4',
- 'x11/rxvt',
- 'x11/xorg',
- 'x11-wm/afterstep',
- 'x11-wm/fvwm2',
- 'x11-wm/windowmaker'])
- return pkgs
-
-# The list of desired packages
-def desired_packages():
- disc1 = disc1_packages()
- return [disc1]
-
-# Suck the entire INDEX file into a two different dictionaries. The first
-# dictionary maps port names (origins) to package names. The second
-# dictionary maps a package name to a list of its dependent packages.
-PACKAGE_COL=0
-ORIGIN_COL=1
-DEPENDS_COL=8
-
-def load_index(index):
- deps = {}
- pkgs = {}
- line_num = 1
- for line in index:
- fields = line.split('|')
- name = fields[PACKAGE_COL]
- if name in deps:
- sys.stderr.write('%d: Duplicate package %s\n' % (line_num, name))
- sys.exit(1)
- origin = fields[ORIGIN_COL].replace('/usr/ports/', '', 1)
- if origin in pkgs:
- sys.stderr.write('%d: Duplicate port %s\n' % (line_num, origin))
- sys.exit(1)
- deps[name] = fields[DEPENDS_COL].split()
- pkgs[origin] = name
- line_num = line_num + 1
- return (deps, pkgs)
-
-# Layout the packages on the various CD images. Here's how it works. We walk
-# each disc in the list of discs. Within each disc we walk the list of ports.
-# For each port, we add the package name to a dictionary with the value being
-# the current disc number. We also add all of the dependent packages. If
-# a package is already in the dictionary when we go to add it, we just leave
-# the dictionary as it is. This means that each package ends up on the first
-# disc that either lists it or contains it as a dependency.
-def layout_discs(discs, pkgs, deps):
- disc_num = 1
- layout = {}
- for disc in discs:
- for port in disc:
- if port not in pkgs:
- sys.stderr.write('Disc %d: Unable to find package for %s\n' %
- (disc_num, port))
- continue
- pkg = pkgs[port]
- pkg_list = [pkg] + deps[pkg]
- for pkg in pkg_list:
- if pkg not in layout:
- if verbose:
- print "--> Adding %s to Disc %d" % (pkg, disc_num)
- layout[pkg] = disc_num
- disc_num = disc_num + 1
- return layout
-
-# Generate a master INDEX file based on the generated layout. The way this
-# works is that for each INDEX line, we check to see if the package is in the
-# layout. If it is, we put that INDEX line into the master INDEX and append
-# a new field with the disc number to the line.
-def generate_index(index, layout, master_index):
- for line in index:
- pkg = line.split('|')[PACKAGE_COL]
- if pkg in layout:
- new_line = '%s|%d\n' % (line.splitlines()[0], layout[pkg])
- master_index.write(new_line)
-
-# Verify the command line arguments
-if len(sys.argv) != 3:
- sys.stderr.write('Invalid number of arguments\n')
- sys.stderr.write('Usage: package-split.py <source INDEX> <master INDEX>\n')
- sys.exit(1)
-
-print "Loading %s..." % (sys.argv[1])
-index = file(sys.argv[1])
-(deps, pkgs) = load_index(index)
-discs = desired_packages()
-layout = layout_discs(discs, pkgs, deps)
-index.seek(0)
-print "Generating %s..." % (sys.argv[2])
-master_index = file(sys.argv[2], 'w')
-generate_index(index, layout, master_index)
-index.close()
-master_index.close()
diff --git a/release/scripts/package-trees.sh b/release/scripts/package-trees.sh
deleted file mode 100644
index 9a81dac86d17..000000000000
--- a/release/scripts/package-trees.sh
+++ /dev/null
@@ -1,58 +0,0 @@
-#!/bin/sh
-#
-# This script generates the disk layout for the CD images built by the FreeBSD
-# release engineers as dictated by a specified master INDEX file. Each disc
-# contains the master INDEX, it's assigned list of packages, and the
-# appropriate tree of category symlinks.
-#
-# Usage: package-trees.sh <copy method> <INDEX> <package tree> <destination>
-#
-# $FreeBSD$
-
-# Verify the command line
-if [ $# -ne 4 ]; then
- echo "Invalid number of arguments"
- echo "Usage: package-trees.sh <copy method> <INDEX> <tree> <destination>"
- exit 1
-fi
-
-COPY=$1 ; shift
-INDEX=$1 ; shift
-TREE=$1 ; shift
-DESTDIR=$1 ; shift
-
-# First, determine the highest disc number.
-high_disc=`cut -d '|' -f 14 ${INDEX} | sort -n | tail -1`
-echo "Generating trees for ${high_disc} discs"
-
-# Second, initialize the trees for each disc
-for disc in `jot $high_disc`; do
- rm -rf ${DESTDIR}/disc${disc}/packages
- mkdir -p ${DESTDIR}/disc${disc}/packages/All
- cp ${INDEX} ${DESTDIR}/disc${disc}/packages/INDEX
-done
-
-# Third, run through the INDEX copying each package to its appropriate CD and
-# making the appropriate category symlinks
-while read line; do
- disc=`echo $line | cut -d '|' -f 14`
- package=`echo $line | cut -d '|' -f 1`
- categories=`echo $line | cut -d '|' -f 7`
- discdir=${DESTDIR}/disc${disc}
- if [ -n "$PKG_VERBOSE" ]; then
- echo "--> Copying $package to Disc $disc"
- fi
- ${COPY} ${TREE}/All/${package}.tbz ${discdir}/packages/All
- for cat in ${categories}; do
- catdir=${discdir}/packages/${cat}
- mkdir -p ${catdir}
- ln -s ../All/${package}.tbz ${catdir}
- done
-done < ${INDEX}
-
-# Fourth, output du info for the relative size of the trees.
-discs=""
-for disc in `jot $high_disc`; do
- discs="${discs} disc${disc}"
-done
-(cd ${DESTDIR}; du -sh ${discs})
diff --git a/release/scripts/ports-install.sh b/release/scripts/ports-install.sh
deleted file mode 100755
index 0933e7163264..000000000000
--- a/release/scripts/ports-install.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-echo "Extracting ports tarball into ${DESTDIR}/usr"
-tar --unlink -xpzf ports.tgz -C ${DESTDIR}/usr
-exit 0
diff --git a/release/scripts/proflibs-install.sh b/release/scripts/proflibs-install.sh
deleted file mode 100755
index 8e35ae3fd3a2..000000000000
--- a/release/scripts/proflibs-install.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-cat proflibs.?? | tar --unlink -xpzf - -C ${DESTDIR:-/}
-exit 0
diff --git a/release/scripts/proflibs-make.sh b/release/scripts/proflibs-make.sh
deleted file mode 100755
index 5ff447ac9068..000000000000
--- a/release/scripts/proflibs-make.sh
+++ /dev/null
@@ -1,9 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Move the profiled libraries out to their own dist
-for i in ${RD}/trees/base/usr/lib/*_p.a; do
- mv $i ${RD}/trees/proflibs/usr/lib
-done
diff --git a/release/scripts/split-file.sh b/release/scripts/split-file.sh
deleted file mode 100755
index 40b8eaa044e4..000000000000
--- a/release/scripts/split-file.sh
+++ /dev/null
@@ -1,39 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# Bail if things fail and be verbose about what we are doing
-set -ex
-
-# Arguments are as follows: file destdir chunksize description
-FILE=$1; shift
-DEST=$1; shift
-CHUNK_SIZE=$1; shift
-DESCR=$1; shift
-
-# Make sure we can read the file.
-[ -r ${FILE} ]
-
-# Create clean working area to stick file chunks and list in
-rm -rf ${DEST} || true
-mkdir -p ${DEST}
-
-# Split the file into pieces
-prefix=`basename $FILE`
-dd if=${FILE} bs=16k iseek=1 | split -b ${CHUNK_SIZE}k - ${DEST}/${prefix}.
-
-# Create a special file for the first 16k that gets stuck on the boot
-# floppy
-files=`ls ${DEST}/${prefix}.*`
-first=`echo "${files}" | head -1`
-bootchunk="${DEST}/${prefix}.boot"
-dd if=${FILE} of=${bootchunk} bs=16k count=1
-
-# Create the split index file
-echo `basename ${bootchunk}` "\"Boot floppy\"" > ${DEST}/${prefix}.split
-i=1
-for file in ${files}; do
- echo `basename ${file}` "\"${DESCR} floppy ${i}\"" >> ${DEST}/${prefix}.split
- i=$(($i + 1))
-done
diff --git a/release/scripts/src-install.sh b/release/scripts/src-install.sh
deleted file mode 100755
index 90583c24d592..000000000000
--- a/release/scripts/src-install.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-if [ $# -lt 1 ]; then
- echo "You must specify which components of src to extract"
- echo "possible subcomponents are:"
- echo
- echo "base bin cddl contrib crypto etc games gnu include krb5"
- echo "lib libexec release rescue sbin secure share sys tools ubin"
- echo "usbin"
- echo
- echo "You may also specify all to extract all subcomponents."
- exit 1
-fi
-
-if [ "$1" = "all" ]; then
- dists="base bin cddl contrib crypto etc games gnu include krb5 lib libexec release rescue sbin secure share sys tools ubin usbin"
-else
- dists="$*"
-fi
-
-echo "Extracting sources into ${DESTDIR}/usr/src..."
-for i in $dists; do
- echo " Extracting source component: $i"
- cat s${i}.?? | tar --unlink -xpzf - -C ${DESTDIR}/usr/src
-done
-echo "Done extracting sources."
-exit 0
diff --git a/release/scripts/tar.sh b/release/scripts/tar.sh
deleted file mode 100644
index e0933f29d778..000000000000
--- a/release/scripts/tar.sh
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/sh -p
-#
-# Simple replacement for tar(1), using cpio(1).
-#
-# Copyright (c) 1996 Joerg Wunsch
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-# notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-# notice, this list of conditions and the following disclaimer in the
-# documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE DEVELOPERS ``AS IS'' AND ANY EXPRESS OR
-# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
-# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
-# IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY DIRECT, INDIRECT,
-# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
-# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
-# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
-# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
-# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
-# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# $FreeBSD$
-#
-
-#
-# For use on the fixit floppy. External programs required:
-# cpio(1), find(1), test(1)
-#
-
-
-archive=${TAPE:-/dev/rsa0}
-blocksize="20"
-device=""
-mode="none"
-verbose=""
-
-usage()
-{
- echo "usage: tar -{c|t|x} [-v] [-b blocksize] [-f archive] [files...]" 1>&2
- exit 64 # EX_USAGE
-}
-
-#
-# Prepend a hyphen to the first arg if necessary, so the traditional form
-# ``tar xvf /dev/foobar'' will work, too. More kludgy legacy forms are not
-# supported however.
-#
-
-if [ $# -lt 1 ] ; then
- usage
-fi
-
-case "$1" in
- -*) break
- ;;
- *) tmp="$1"
- shift
- set -- -$tmp "$@"
- ;;
-esac
-
-while getopts "ctxvb:f:" option
-do
- case $option in
- [ctx])
- if [ $mode = "none" ] ; then
- mode=$option
- else
- usage
- fi
- ;;
- v)
- verbose="-v"
- ;;
- b)
- blocksize="${OPTARG}"
- ;;
- f)
- archive="${OPTARG## }"
- ;;
- *)
- usage
- ;;
- esac
-done
-
-shift $(($OPTIND - 1))
-
-if [ "X${archive}" != "X-" ] ; then
- device="-F ${archive}"
-# else: use stdin or stdout, which is the default for cpio
-fi
-
-case $mode in
- none)
- usage
- ;;
- t)
- exec cpio -it $verbose $device --block-size="$blocksize" "$@"
- ;;
- x)
- exec cpio -idmu $verbose $device --block-size="$blocksize" "$@"
- ;;
- c)
- if [ $# -eq 0 ] ; then
- # use current dir -- slightly bogus
- set -- "."
- fi
- find "$@" -print |\
- cpio -o -H ustar $verbose $device --block-size="$blocksize"
- exit $?
- ;;
-esac
diff --git a/release/scripts/xperimnt-install.sh b/release/scripts/xperimnt-install.sh
deleted file mode 100755
index 394265892f2c..000000000000
--- a/release/scripts/xperimnt-install.sh
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-if [ "`id -u`" != "0" ]; then
- echo "Sorry, this must be done as root."
- exit 1
-fi
-echo "Extracting xperimnt tarball into ${DESTDIR}/usr/local"
-tar --unlink -xpzf xperimnt.tgz -C ${DESTDIR}/usr/local
-exit 0